# Navigation solution for redux apps

## Installation

```bash
npm install --save i-redux-navigation
```

## Usage

##### navigation.js
```javascript
import createNavigation from 'i-redux-navigation';

export const { reducer, history, middleware, actions } = createNavigation();
```

##### final-reducer.js
```javascript
import { combineReducers } from 'redux';
import { reducer as navigationReducer } from './navigation';

export default combineReducers({
  navigation: navigationReducer,
});
```

##### navigation-actions.js
```javascript
import { actions } from './navigation';

export const pushState = (...args) => (dispatch) => dispatch(actions.push(...args));
export const replaceState = (...args) => (dispatch) => dispatch(actions.replace(...args));
export const go = (n) => (dispatch) => dispatch(actions.go(n));
export const goBack = () => (dispatch) => dispatch(actions.goBack());
export const goForward = () => (dispatch) => dispatch(actions.goForward());
export const canGo = (n) => (dispatch) => dispatch(actions.canGo(n));
```
